<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0"
  xmlns="http://www.w3.org/TR/xhtml1/transitional"
  exclude-result-prefixes="#default">

  <!-- $Id: tex-refs-common.xsl 137 2004-06-21 09:45:54Z mw $ -->

  <!-- Common customizations for all stylesheets -->

  <xsl:template match="toc"/>

  <!-- this omits the trailing '.' in numbered sections -->
  <xsl:param name="autotoc.label.separator" select="' '"/>
  <xsl:param name="local.l10n.xml" select="document('')"/>

  <l:i18n xmlns:l="http://docbook.sourceforge.net/xmlns/l10n/1.0">
    <l:l10n language="en">
      <l:context name="title-numbered">
        <l:template name="section" text="%n %t"/>
      </l:context>
    </l:l10n>
  </l:i18n>

  <!-- bridgehead is buggy at least up to 1.77.1! -->
  <xsl:template match="bridgehead" mode="title.markup">
    <xsl:apply-templates/>
  </xsl:template> 

  <!-- override template for revhistory table -->
  <xsl:template match="revhistory" mode="titlepage.mode">
    <xsl:variable name="numcols">
      <xsl:choose>
        <xsl:when test="//authorinitials">3</xsl:when>
        <xsl:otherwise>2</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div xmlns="http://www.w3.org/1999/xhtml" class="{name(.)}">
      <table border="2" cellspacing="4" width="100%" summary="Revision history">
        <tr>
          <th align="left" valign="top" colspan="{$numcols}">
            <b>
              <xsl:call-template name="gentext">
                <xsl:with-param name="key" select="'RevHistory'"/>
              </xsl:call-template>
            </b>
          </th>
        </tr>
        <xsl:apply-templates mode="titlepage.mode">
          <xsl:with-param name="numcols" select="$numcols"/>
        </xsl:apply-templates>
      </table>
    </div>
  </xsl:template>

  <xsl:template match="symbol">
    <xsl:param name="entity"><xsl:value-of select="." /></xsl:param>
    <xsl:choose>
      <xsl:when test="$entity='--'"><xsl:text>-</xsl:text></xsl:when>
      <xsl:when test="$entity='BibTeX'"><xsl:text>BibTeX</xsl:text></xsl:when>
      <xsl:when test="$entity='LaTeX'"><xsl:text>LaTeX</xsl:text></xsl:when>
      <xsl:when test="$entity='LaTeX2e'"><xsl:text>LaTeX2e</xsl:text></xsl:when>
      <xsl:when test="$entity='Makeindex'"><xsl:text>Make-Index</xsl:text></xsl:when>
      <xsl:when test="$entity='PiCTeX'"><xsl:text>PiCTeX</xsl:text></xsl:when>
      <xsl:when test="$entity='TeX'"><xsl:text>TeX</xsl:text></xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="inline.charseq"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
